:mod:`_glutils`
===============

.. automodule:: silx.gui._glutils


:mod:`_glutils.gl`
------------------

.. automodule:: silx.gui._glutils.gl
   :members:

Utility functions
-----------------

.. currentmodule:: silx.gui._glutils.Context

For OpenGL context management:

.. autofunction:: getCurrent

.. autofunction:: setCurrent

.. autofunction:: current

.. currentmodule:: silx.gui._glutils

For type checking and conversion:

.. autofunction:: sizeofGLType

.. autofunction:: isSupportedGLType

.. autofunction:: numpyToGLType

:class:`Program`
----------------

.. autoclass:: Program
   :members:

:class:`Texture`
----------------

.. autoclass:: Texture
   :members:

:class:`FramebufferTexture`
---------------------------

.. autoclass:: FramebufferTexture
   :members:

Vertex Buffer
-------------

.. autoclass:: VertexBuffer
   :members:

.. autoclass:: VertexBufferAttrib
   :members:

.. autofunction:: vertexBuffer

:mod:`font`
-----------

.. currentmodule:: silx.gui._glutils.font

.. automodule:: silx.gui._glutils.font
   :members:
